<!doctype html>
<html lang="th">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0/dist/css/bootstrap.min.css" rel="stylesheet">
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0/dist/js/bootstrap.bundle.min.js"></script>
	<style>
		.mynav{
			margin: 15px;
		}
		h1 {text-align: center;}
		th {text-align: center;}
		td {text-align: center;}
	</style>
    <title>ห้องพัก</title>
  </head>
  <body>
	<div class="mynav">
		<nav class="navbar navbar-expand-md bg-light">
		<div class="container-fluid">
			<a href="#" class="navbar-brand">
				<img src="images/logo.png" height="40" alt="ห้องพัก">
			</a>
			<button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
				  <span class="navbar-toggler-icon"></span>
			</button>

			<div class="collapse navbar-collapse" id="navbarSupportedContent">
				<ul class="navbar-nav me-auto mb-2 mb-lg-0">
					<li class="nav-item">
					<a href="#" class="nav-item nav-link active">หน้าแรก</a>
					</li> <li class="nav-item">
					<a href="#" class="nav-item nav-link disabled" tabindex="-1">ห้องพัก</a>
					</li><li class="nav-item">
					<a href="#" class="nav-item nav-link">สมุดเยี่ยม</a>
					</li><li class="nav-item">
					<a href="#" class="nav-item nav-link">ติดต่อ</a>
					</li>
				</ul>
				<div class="navbar-nav ml-auto">
					<a href="#" class="nav-item nav-link">ล็อกอิน</a>
				</div>
			</div>
	</div>
	</nav>
	</div>
	<div class="container">
	<?php
	$path = "images/";
	echo "<h1>รายละเอียดห้องพัก</h1>";
	echo "<hr>";
	echo "<table class='table table-bordered table-striped'>";
    echo "<thead>
        <tr>
            <th>ประเภทห้อง</th>
            <th>ขนาด (ตร.ม.)</th>
            <th>ราคา/วัน (บาท)</th>
            <th>ราคา/เดือน (บาท)</th>
			<th>รูปภาพ</th>
        </tr>
    </thead>
    <tbody>";
	// กำหนดชื่อโฮสต์และ user name
	$link = mysqli_connect("localhost", "root");
	mysqli_set_charset($link,'utf8');
	mysqli_query($link,"Use apartment;");	// เรียกใช้ฐานข้อมูล
						// apartment
	$sql = "Select * From room;";	// ดึงเรคอร์ดทั้งหมดจาก
						// ตาราง room
	$result = mysqli_query($link,$sql);
	//วนลูปดึงเรคอร์ดในตาราง
	while ($dbarr = mysqli_fetch_array($result))	 
	{
		echo "<tr>
			<td>$dbarr[room_type]</td>
			<td>$dbarr[room_size]</td>
			<td>$dbarr[priceperday]</td>
			<td>$dbarr[pricepermonth]</td>
			<td><img src=" . $path.$dbarr["picture"] .
			" width='150' height='100'></td></tr>";
	}
	echo "</tbody>"; 
	echo "</table>";
	mysqli_close($link);
?>
</div>
</body>
</html>