<!DOCTYPE html>
<HTML>
<HEAD> <meta charset="UTF-8">
<link rel="stylesheet" type="text/css" href="style.css">
<!- เรียกไฟล์ CSS สำหรับกำหนดรูปแบบของตัวเลขแบ่งหน้า
</HEAD>
<?php
	// เชื่อมต่อฐานข้อมูล MySQL
	$link = mysqli_connect("localhost", "root");
	mysqli_set_charset($link,'utf8');
	$sql = "use employee";		// เรียกฐานข้อมูลชื่อ employee
	$result = mysqli_query($link,$sql);
	$tbl_name="employee";			// กำหนดชื่อตาราง
	$adjacents = 3;			// กำหนดจำนวนหน้า
	// sql หาจำนวนแถวในตาราง
	$query = "SELECT COUNT(*) as num FROM $tbl_name"; 
	$total_pages = mysqli_fetch_array(mysqli_query($link,$query));
	$total_pages = $total_pages["num"];		// เก็บค่าจำนวนแถวไว้ที่ตัวแปร 
										// total_pages
	$targetpage = "pagination.php"; 	// กำหนดชื่อไฟล์นี้ สำหรับการประมวลผล
	$limit = 2; 				// จำนวข้อมูลในแต่ะหน้า
	if(isset($_GET['page']))
	{	
		$page = $_GET['page'];
		$start = ($page - 1) * $limit; 	// คำนวณหาข้อมูลแถวแรกของหน้าที่กำหนด
	}
	else
	{
		$page = 0;
		$start = 0;		// ถ้าไม่มี หรือไม่ได้กำหนด ให้ตัวแปร start = 0
	}
	// sql ดึงข้อมูลออกมา
	$sql = "SELECT * FROM $tbl_name LIMIT $start, $limit";
	$result = mysqli_query($link,$sql);

	if ($page == 0) $page = 1;	// ถ้ายังไม่ได้กำหนดค่าให้ตัวแปร page
								// ให้กำหนดเป็นหน้า 1
	$prev = $page - 1;		// กำหนดหน้าก่อนหน้าลดลง 1 
	$next = $page + 1;		// กำหนดหน้าถัดไปเพิ่มขึ้น 1
	$lastpage = ceil($total_pages/$limit);	// คำนวณหาเลขหน้าสุดท้าย
	$lpm1 = $lastpage - 1;	// เลขหน้าสุดท้ายที่คำนวณได้ลดลง 1

	//การสร้างหมายเลขหน้า
	$pagination = "";
	if($lastpage > 1)
	{	
		$pagination .= "<div class=\"pagination\">";
		// สร้างปุ่ม previous
		if ($page > 1) 
			$pagination.= "<a href=\"$targetpage?page=$prev\">" .
						      "previous</a>";
		else
			$pagination.= "<span class=\"disabled\">previous</span>";
		//สร้างปุ่มเลขหน้า	
		if ($lastpage < 7 + ($adjacents * 2))	//กรณีเลขหน้าไม่มาก
		{	
			for ($counter = 1; $counter <= $lastpage; $counter++)
			{
				if ($counter == $page)
					$pagination.= "<span class=\"current\">" .
							     "$counter</span>";
				else
					$pagination.= "<a href=\"$targetpage?page=" .
							     "$counter\">$counter</a>";						}
		}
		elseif($lastpage > 5 + ($adjacents * 2))	//กรณีเลขหน้ามาก
		{								//ต้องซ่อนบางส่วน
			//เลขหน้าปัจจุบันอยู่ช่วงต้น จะซ่อนเลขหน้าช่วงท้าย
			if($page < 1 + ($adjacents * 2))		
			{
				for ($counter = 1; $counter < 4 + ($adjacents * 2);
						$counter++)
				{
					if ($counter == $page)
						$pagination.= "<span class=\"current\">" .
							      "$counter</span>";
					else
						$pagination.= "<a href=\"$targetpage?page=" .
							      "$counter\">$counter</a>";
				}
				$pagination.= "...";
				$pagination.= "<a href=\"$targetpage?page=" .
							  "$lpm1\">$lpm1</a>";
				$pagination.= "<a href=\"$targetpage?page=" .
							  "$lastpage\">$lastpage</a>";
			}
			//เลขหน้าปัจจุบันอยู่ช่วงกลาง จะซ่อนเลขหน้าช่วงต้นและท้าย
			elseif($lastpage - ($adjacents * 2) > $page &&
					 $page > ($adjacents * 2))
			{
				$pagination.= "<a href=\"$targetpage?page=1\">1</a>";
				$pagination.= "<a href=\"$targetpage?page=2\">2</a>";
				$pagination.= "...";
				for ($counter = $page - $adjacents; 
						$counter <= $page + $adjacents; $counter++)
				{
					if ($counter == $page)
						$pagination.= "<span class=\"current\">" .
							       "$counter</span>";
					else
						$pagination.= "<a href=\"$targetpage?page=" .
							       "$counter\">$counter</a>";
				}
				$pagination.= "...";
				$pagination.= "<a href=\"$targetpage?page=" .
							  "$lpm1\">$lpm1</a>";
				$pagination.= "<a href=\"$targetpage?page=" .
							  "$lastpage\">$lastpage</a>";
			}
			//เลขหน้าปัจจุบันอยู่ช่วงท้าย จะซ่อนเลขหน้าช่วงต้น
			else
			{
				$pagination.= "<a href=\"$targetpage?page=1\">1</a>";
				$pagination.= "<a href=\"$targetpage?page=2\">2</a>";
				$pagination.= "...";

				for ($counter = $lastpage - (2 + ($adjacents * 2)); 
						$counter <= $lastpage; $counter++)
				{
					if ($counter == $page)
						$pagination.= "<span class=\"current\">" .
								"$counter</span>";
					else
						$pagination.= "<a href=\"$targetpage?page=" .
							       "$counter\">$counter</a>";
				}
			}
		}
		// จัดการปุ่ม next
		if ($page < $counter - 1) 
			$pagination.= "<a href=\"$targetpage?page=$next\">" .
							"next</a>";
		else
			$pagination.= "<span class=\"disabled\">next</span>";
		$pagination.= "</div>\n";
	}
?>
<?php
	echo "<table border=1>";
	echo "<tr>
		<td>รหัสพนักงาน</td>
		<td>ชื่อพนักงาน</td>
		<td>ตำแหน่ง</td>
		<td>เงินเดือน</td>
		<td>รหัสแผนก</td>
	   </tr>";
	while($row = mysqli_fetch_array($result))
	{
		echo "<tr>";
		echo "<td>$row[employeeID]</td>";
		echo "<td>	$row[name]</td>";
		echo "<td>	$row[job]</td>";
		echo "<td>	$row[salary]</td>";
		echo "<td>	$row[departmentID]</td>";
		echo "</tr>";
	}
	echo "</table>";
	echo $pagination;
?>