<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css" integrity="sha384-9aIt2nRpC12Uk9gS9baDl411NQApFmC26EwAOH8WgZl5MYYxFfc+NcPb1dKGj7Sk" crossorigin="anonymous">
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
	<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
	<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js"></script>
	<style>
		.mynav{
			margin: 15px 10px;
		}
		h1 {text-align: center;}
		th {text-align: center;}
		td {text-align: center;}
	</style>
    <title>ห้องพัก</title>
  </head>
  <body>
	<div class="mynav">
    <nav class="navbar navbar-expand-md navbar-light bg-light">
        <a href="#" class="navbar-brand">
            <img src="images/logo.png" height="40" alt="ห้องพัก">
        </a>
        <button type="button" class="navbar-toggler" data-toggle="collapse" data-target="#navbarCollapse">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarCollapse">
            <div class="navbar-nav">
                <a href="#" class="nav-item nav-link active">หน้าแรก</a>
				<a href="#" class="nav-item nav-link disabled" tabindex="-1">ห้องพัก</a>
                <a href="#" class="nav-item nav-link">สมุดเยี่ยม</a>
                <a href="#" class="nav-item nav-link">ติดต่อ</a>
            </div>
            <div class="navbar-nav ml-auto">
                <a href="#" class="nav-item nav-link">ล็อกอิน</a>
            </div>
        </div>
    </nav>
</div>
	<?php
	$path = "images/";
	echo "<h1>รายละเอียดห้องพัก</h1>";
	echo "<hr>";
	echo "<table class='table table-bordered table-striped'>";
    echo "<thead>
        <tr>
            <th>ประเภทห้อง</th>
            <th>ขนาด (ตร.ม.)</th>
            <th>ราคา/วัน (บาท)</th>
            <th>ราคา/เดือน (บาท)</th>
			<th>รูปภาพ</th>
        </tr>
    </thead>
    <tbody>";
	// กำหนดชื่อโฮสต์และ user name
	$link = mysqli_connect("localhost", "root");
	mysqli_set_charset($link,'utf8');
	mysqli_query($link,"Use apartment;");	// เรียกใช้ฐานข้อมูล
						// apartment
	$sql = "Select * From room;";	// ดึงเรคอร์ดทั้งหมดจาก
						// ตาราง room
	$result = mysqli_query($link,$sql);
	//วนลูปดึงเรคอร์ดในตาราง
	while ($dbarr = mysqli_fetch_array($result))	 
	{
		echo "<tr>
			<td>$dbarr[room_type]</td>
			<td>$dbarr[room_size]</td>
			<td>$dbarr[priceperday]</td>
			<td>$dbarr[pricepermonth]</td>
			<td><img src=" . $path.$dbarr["picture"] .
			" width='150' height='100'></td></tr>";
	}
	echo "</tbody>"; 
	echo "</table>";
	mysqli_close($link);
?>


    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js" integrity="sha384-OgVRvuATP1z7JjHLkuOU7Xw704+h835Lr+6QL9UvYjZE3Ipu6Tp75j7Bh/kR0JKI" crossorigin="anonymous"></script>
  </body>
</html>